AWS
probe ELBv2

# targets_health_count

Count of healthy/unhealthy targets per targetgroup

Run it now
View details

Type | probe
Module | chaosaws.elbv2.probes
Name | targets_health_count
Return | mapping

Usage

JSON

    {
      "name": "targets-health-count",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.probes",
        "func": "targets_health_count",
        "arguments": {
          "tg_names": []
        }
      }
    }

YAML

    name: targets-health-count
    provider:
      arguments:
        tg_names: []
      func: targets_health_count
      module: chaosaws.elbv2.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tg_names | list |  | Yes | Target Group Names | List of target group names

Signature

    def targets_health_count(
            tg_names: List[str],
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action ELBv2

  ## `deregister_target`

  Deregisters one random target from target group
- AWS
  action ELBv2

  ## `deregister_target`

  Deregisters one random target from target group
- AWS
  action ELBv2

  ## `delete_load_balancer`

  Deletes the provided load balancer(s)